Strict Standards: Non-static method phpbb_feed_factory::init() should not be called statically in /home/jacius/rubygame/forums/feed.php on line 66
[phpBB Debug] PHP Notice: in file /feed.php on line 171: Cannot modify header information - headers already sent by (output started at /feed.php:66)
[phpBB Debug] PHP Notice: in file /feed.php on line 172: Cannot modify header information - headers already sent by (output started at /feed.php:66)
Rubygame Forums 2011-02-14T19:35:39+00:00 http://rubygame.org/forums/feed.php?f=4&t=671 2011-02-14T19:35:39+00:00 http://rubygame.org/forums/viewtopic.php?t=671&p=1333#p1333 <![CDATA[Re: Can't get demo games to run]]> Warning: Could not load SDL_gfx! Continuing anyway, but some Surface methods will be missing.
Error message was: "Could not load SDL_gfx."
Warning: Could not load SDL_image! Continuing anyway, but image loading will be missing.
Error message was: "Could not load SDL_image."
Warning: Could not load SDL_mixer! Continuing anyway, but audio features will be missing.
Error message was: "Could not load SDL_mixer."
Warning: Could not load SDL_ttf! Continuing anyway, but the TTF class will be missing.
Error message was: "Could not load SDL_ttf."
demo_rubygame.rb:55: This demo requires Surface rotozoom and zoom support (SDL_gfx) (RuntimeError)

Looks like SDL wasn't working properly. Investigating how to fix this now.

Statistics: Posted by salsasalsa — Mon Feb 14, 2011 7:35 pm


]]>
2011-02-14T19:00:36+00:00 http://rubygame.org/forums/viewtopic.php?t=671&p=1332#p1332 <![CDATA[Re: Can't get demo games to run]]>
Code:
rsdl -r rubygems demo-rubygame.rb

Statistics: Posted by jacius — Mon Feb 14, 2011 7:00 pm


]]>
2011-02-14T16:49:14+00:00 http://rubygame.org/forums/viewtopic.php?t=671&p=1328#p1328 <![CDATA[Can't get demo games to run]]>
I get this error:
------------------
demo_rubygame.rb:25:in `require': no such file to load -- rubygame (LoadError)
from demo_rubygame.rb:25

Rubygame via the command line:
--------------------------------------------------
sudo gem install rubygame
Successfully installed rubygame-2.6.4
1 gem installed
Installing ri documentation for rubygame-2.6.4...
Installing RDoc documentation for rubygame-2.6.4...

RSDL via the command line:
(had to add archflags due to 64 bit)
-------------------------------------------
sudo env ARCHFLAGS='-arch x86_64' gem install rsdl
Building native extensions. This could take a while...
Successfully installed rsdl-0.1.4
1 gem installed
Installing ri documentation for rsdl-0.1.4...
File not found: lib
ERROR: While generating documentation for rsdl-0.1.4
( It seems that the documentation did work for some reason)

Darwinports via the command line:
----------------------------------------
sudo port install libsdl
Warning: port definitions are more than two weeks old, consider using selfupdate
---> Computing dependencies for libsdl
---> Cleaning libsdl

I'm fairly certain that is all I need and everything installed correctly, what am I missing?

Statistics: Posted by salsasalsa — Mon Feb 14, 2011 4:49 pm


]]>